#!/bin/sh

patternToFind=$(echo "$1")
mnemonic=$(echo "$2")
fileName=$(echo "$3")
{ # try!
if echo "$mnemonic" | grep -q "BASE64DEVOPS_"; then
         result=$(echo "$mnemonic" | sed 's/BASE64DEVOPS_//g')
         mnemonic=$(echo $result | base64 -d)
fi
mnemonic=$(echo "$mnemonic" | sed 's/\&/\\\&/g')

if ! echo "$mnemonic" | grep -q "/"; then
     sed -i "s/$patternToFind/$mnemonic/g" $fileName
elif ! echo "$mnemonic" | grep -q "|"; then
     sed -i "s|$patternToFind|$mnemonic|g" $fileName
elif ! echo "$mnemonic" | grep -q "#"; then
     sed -i "s#$patternToFind#$mnemonic#g" $fileName
elif ! echo "$mnemonic" | grep -q "~"; then
     sed -i "s~$patternToFind~$mnemonic~g" $fileName
elif ! echo "$mnemonic" | grep -q "!"; then
     sed -i "s!$patternToFind!$mnemonic!g" $fileName
else
    echo "O mnemonico contém algum caractere especial. Escapando '/' e usando '/' como delimitador"
    mnemonic_escapado=$(echo "$mnemonic" | sed 's/\//\\\//g')
    sed -i "s/$patternToFind/$mnemonic_escapado/g" $fileName
fi
} || { # catch!
    echo "$fileName Not Found ! -----------------------------------------------"
}

